<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_all_g.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_g"></a>- g -</h3><ul>
<li>GetActionStartingMillis()
: <a class="el" href="classAccessory.html#a8a9a9e26544b859289f125dd075cf52e">Accessory</a>
</li>
<li>GetActionToExecute()
: <a class="el" href="classActionsStack.html#ae5e923c8c890313fe9fe67fae9497562">ActionsStack</a>
</li>
<li>GetByID()
: <a class="el" href="classAccessoryGroup.html#a44a43ba4687d9cd3863ec9d1f9a55cde">AccessoryGroup</a>
</li>
<li>GetCount()
: <a class="el" href="classAccessory.html#af8b0920b2a419e278fbc79e3fcc75f86">Accessory</a>
, <a class="el" href="classAccessoryGroup.html#a5c852b40b4303445aaf77bfd03095b1f">AccessoryGroup</a>
</li>
<li>GetCurrentPosition()
: <a class="el" href="classAccessoryServo.html#a8ba8df88782420e8b0ac8daaa08c839c">AccessoryServo</a>
</li>
<li>GetDIOPin()
: <a class="el" href="classPortOnePin.html#ac126e88eaa5befe8d292533583d7df6d">PortOnePin</a>
, <a class="el" href="classPortServo.html#aeefe2ccbaffc273f196d5a55cbcd0b0c">PortServo</a>
</li>
<li>GetDIOPinA()
: <a class="el" href="classPortTwoPins.html#adc2c94094d20ee4af05efba26f3f5dbb">PortTwoPins</a>
</li>
<li>GetDIOPinB()
: <a class="el" href="classPortTwoPins.html#abc54cca3eb8696168eaee892c96a6f6e">PortTwoPins</a>
</li>
<li>GetDIOPinBrake()
: <a class="el" href="classPortSpeedDirBrake.html#adb3149ccc0b679c22f8bbf9a4fcd8361">PortSpeedDirBrake</a>
</li>
<li>GetDIOPinDir()
: <a class="el" href="classPortSpeedDirBrake.html#abd5175fa61be340f49573732ae2bff84">PortSpeedDirBrake</a>
</li>
<li>GetDIOPinEnable()
: <a class="el" href="classPortTwoPinsEnable.html#a8e47ea6e52c7c770c2daa9fff262d397">PortTwoPinsEnable</a>
</li>
<li>GetDebounceDelay()
: <a class="el" href="classAccessory.html#ac818b7112183d3d65ec361c8402f927f">Accessory</a>
</li>
<li>GetDuration()
: <a class="el" href="classAccessory.html#a8cfe1c1ca32753832146656755f6e7a7">Accessory</a>
</li>
<li>GetFirstAccessory()
: <a class="el" href="classAccessory.html#ab89d2b99293b24e6ccc38938384563f2">Accessory</a>
</li>
<li>GetId()
: <a class="el" href="classGroupState.html#a8500c1d72dacb2c210cb243ab6ad849d">GroupState</a>
</li>
<li>GetItemByID()
: <a class="el" href="classAccessoryGroup.html#ab6ba5894c5a5fc03e1be8db5a0cd4a90">AccessoryGroup</a>
</li>
<li>GetLastMoveTime()
: <a class="el" href="classAccessory.html#a933cd0907dc257b1f1047c33d41ceb2a">Accessory</a>
</li>
<li>GetLastMovingPosition()
: <a class="el" href="classAccessory.html#a292f4e066803d0f6f32a953216443c9d">Accessory</a>
</li>
<li>GetMaximumPosition()
: <a class="el" href="classAccessoryServo.html#a6cf8090b153babc59ea4fd68e667b524">AccessoryServo</a>
</li>
<li>GetMinimumPosition()
: <a class="el" href="classAccessoryServo.html#a8c7242a9a390a8ef84aaa6ffa4903d66">AccessoryServo</a>
</li>
<li>GetMovementSpeed()
: <a class="el" href="classAccessoryServo.html#a9a7748426c761fda3f018d7e8310c9ed">AccessoryServo</a>
</li>
<li>GetMovingPosition()
: <a class="el" href="classAccessory.html#aa249535a3c36291764e38ab1e4ae4cee">Accessory</a>
</li>
<li>GetMovingPositionBlinksByIndex()
: <a class="el" href="classAccessoryLightMulti.html#af2c436dc5e09105f3993e14899ec41d2">AccessoryLightMulti</a>
</li>
<li>GetMovingPositionByIndex()
: <a class="el" href="classAccessory.html#a62eee418f630f805d36f6005e0db1a9e">Accessory</a>
</li>
<li>GetMovingPositionIdByIndex()
: <a class="el" href="classAccessory.html#a4f0410f39fa692494b51bc880714bdd1">Accessory</a>
</li>
<li>GetMovingPositionSize()
: <a class="el" href="classAccessory.html#ac4dc998e8f09ac7f94a3e06c56e8d5d4">Accessory</a>
</li>
<li>GetNextAccessory()
: <a class="el" href="classAccessory.html#aa27a04b9e2a95729e491598cb34c6e47">Accessory</a>
</li>
<li>GetNumber()
: <a class="el" href="classActionsStack.html#a2ba3fc8906482ba474a1034a81d443c6">ActionsStack</a>
</li>
<li>GetPin()
: <a class="el" href="classPortOnePin.html#a660618a8388b268f4d91c6fd8ba78825">PortOnePin</a>
, <a class="el" href="classPortServo.html#ab7390e48781206b0ead8951ae7042564">PortServo</a>
</li>
<li>GetPinA()
: <a class="el" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">PortTwoPins</a>
</li>
<li>GetPinB()
: <a class="el" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">PortTwoPins</a>
</li>
<li>GetPinBrake()
: <a class="el" href="classPortSpeedDirBrake.html#aa0cde694df4fdbb88262359fe10d03d3">PortSpeedDirBrake</a>
</li>
<li>GetPinDir()
: <a class="el" href="classPortSpeedDirBrake.html#a3664a699412d620a3dd454f3d7baa083">PortSpeedDirBrake</a>
</li>
<li>GetPinEnable()
: <a class="el" href="classPortTwoPinsEnable.html#ab5ba0378a63752f7112deca595be19df">PortTwoPinsEnable</a>
</li>
<li>GetPinPWM()
: <a class="el" href="classPortSpeedDirBrake.html#a02daf0961458a08c9ca7ab72e3d84452">PortSpeedDirBrake</a>
</li>
<li>GetPinType()
: <a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">Port</a>
</li>
<li>GetPort()
: <a class="el" href="classAccessory.html#ac2883977d969dcde8f078934b4a9ed12">Accessory</a>
, <a class="el" href="classAccessoryBaseLight.html#a1f57b9cf4b45b9bdc91fef927199b79c">AccessoryBaseLight</a>
</li>
<li>GetPosition()
: <a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">Port</a>
, <a class="el" href="classPortServo.html#adf5231931fec08758d8287c079fe2bba">PortServo</a>
, <a class="el" href="classPortStepper.html#aaec300bb6284c1f148273c95843ee8f3">PortStepper</a>
</li>
<li>GetPreviousState()
: <a class="el" href="classAccessory.html#ae26158a4fc16855e72706b317c40f9e8">Accessory</a>
</li>
<li>GetSize()
: <a class="el" href="classAccessoryLightMulti.html#a43c0226e1ecd6631fa58c1535d222ae1">AccessoryLightMulti</a>
</li>
<li>GetSpeed()
: <a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">Port</a>
</li>
<li>GetState()
: <a class="el" href="classAccessory.html#a6b837b3afb75f5eadcde5e1742db5c7d">Accessory</a>
, <a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">Port</a>
</li>
<li>GroupState()
: <a class="el" href="classGroupState.html#abd63266166b098086d0ccebf98b0e269">GroupState</a>
</li>
<li>GroupStateItem()
: <a class="el" href="classGroupStateItem.html#aeff7b5a373dbb6fbf6d2ec27ae846fa1">GroupStateItem</a>
</li>
<li>getStartRead()
: <a class="el" href="classAccessoriesCircularBuffer.html#a549a4c48972a76eb85cfb9d9a5457e73">AccessoriesCircularBuffer</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
